// twofile1.cpp -- external and static external variables
#include <iostream>     // to be compiled with two file2.cpp
using namespace std;
int tom = 3;            // external variable definition
int dick = 30;          // external variable definition
static int harry = 300; // static external variable definition

// function prototype
void remote_access();

int main()
{
// NOTE: some implementations require that you type cast
// the addresses to type unsigned

    cout << "main() reports the following addresses:\n";
    cout << &tom << " = &tom, " << &dick << " = &dick, ";
    cout << &harry << " = &harry\n";
    remote_access();
    return 0;
}

